#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quickcheck-classes
version:              0.6.5.0
visibility:           public
id:                   quickcheck-classes-0.6.5.0-Bn887XKyvj7KNqQ4dU9WMy
key:                  quickcheck-classes-0.6.5.0-Bn887XKyvj7KNqQ4dU9WMy
license:              BSD-3-Clause
copyright:            2018 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin, chessai
homepage:             https://github.com/andrewthad/quickcheck-classes#readme
synopsis:             QuickCheck common typeclasses
description:
    This library provides QuickCheck properties to ensure
    that typeclass instances adhere to the set of laws that
    they are supposed to. There are other libraries that do
    similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing
    any new typeclasses that the user needs to learn.

    /Note:/ on GHC < 8.5, this library uses the higher-kinded typeclasses
    ('\''Data.Functor.Classes.Show1'\'', '\''Data.Functor.Classes.Eq1'\'', '\''Data.Functor.Classes.Ord1'\'', etc.),
    but on GHC >= 8.5, it uses `-XQuantifiedConstraints` to express these
    constraints more cleanly.

category:             Testing
abi:                  8f4dcb9e92cca3db932e6bc51e5351db
exposed:              True
exposed-modules:
    Test.QuickCheck.Classes Test.QuickCheck.Classes.IsList

hidden-modules:
    Test.QuickCheck.Classes.Alt Test.QuickCheck.Classes.Apply
    Test.QuickCheck.Classes.Euclidean Test.QuickCheck.Classes.Json
    Test.QuickCheck.Classes.MVector Test.QuickCheck.Classes.Plus
    Test.QuickCheck.Classes.Prim Test.QuickCheck.Classes.Semigroupoid
    Test.QuickCheck.Classes.Semiring Test.QuickCheck.Classes.Ring

import-dirs:          /usr/lib/ghc-9.2.8/site-local/quickcheck-classes-0.6.5.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/quickcheck-classes-0.6.5.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quickcheck-classes
hs-libraries:         HSquickcheck-classes-0.6.5.0-Bn887XKyvj7KNqQ4dU9WMy
depends:
    QuickCheck-2.14.3-JblpeSTRZJp9GrWCfqywVt
    aeson-2.1.2.1-3vSYNHOd39sCDqznIKH954 base-4.16.4.0
    containers-0.6.5.1 primitive-0.7.4.0-FVB8RLw7kwa2mbgh0KVHMG
    primitive-addr-0.1.0.2-3uRnkgE8BD6DLIocGUVYNd
    quickcheck-classes-base-0.6.2.0-1ZkFo1uqc6FHkQeLnpl1TJ
    semigroupoids-5.3.7-6de0LhpTIq5Evno33LzoOj
    semirings-0.6-ET8O6is6JMgKSuIPmX2Dlm transformers-0.5.6.2
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-classes/html/quickcheck-classes.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-classes/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

